Package tigase.server

## Class ConnectionManager.Watchdog

- java.lang.Object
- - java.lang.Thread
  - - tigase.server.ConnectionManager.Watchdog

- All Implemented Interfaces:
    `java.lang.Runnable`
  Direct Known Subclasses:
    `ClusterConnectionManager.Watchdog`
  Enclosing class:
    ConnectionManager<IO extends XMPPIOService<?>>

      protected class ConnectionManager.Watchdog
      extends java.lang.Thread

  Class looks in all established connections and checks whether any of them is dead by performing either whitspace or XMPP ping. If client fails to respond within defined time then the service is stopped.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Watchdog()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected long` | `getDurationSinceLastTransfer​(XMPPIOService service)` |
    `void` | `run()` |
    `void` | `shutdown()` |

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Watchdog

          protected Watchdog()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### shutdown

          public void shutdown()

    - #### getDurationSinceLastTransfer

          protected long getDurationSinceLastTransfer​(XMPPIOService service)